nord.rtl.css 24 KB

1234567891011121314151617181920212223242526272829303132333435363738394041424344454647484950515253545556575859606162636465666768697071727374757677787980818283848586878889909192939495969798991001011021031041051061071081091101111121131141151161171181191201211221231241251261271281291301311321331341351361371381391401411421431441451461471481491501511521531541551561571581591601611621631641651661671681691701711721731741751761771781791801811821831841851861871881891901911921931941951961971981992002012022032042052062072082092102112122132142152162172182192202212222232242252262272282292302312322332342352362372382392402412422432442452462472482492502512522532542552562572582592602612622632642652662672682692702712722732742752762772782792802812822832842852862872882892902912922932942952962972982993003013023033043053063073083093103113123133143153163173183193203213223233243253263273283293303313323333343353363373383393403413423433443453463473483493503513523533543553563573583593603613623633643653663673683693703713723733743753763773783793803813823833843853863873883893903913923933943953963973983994004014024034044054064074084094104114124134144154164174184194204214224234244254264274284294304314324334344354364374384394404414424434444454464474484494504514524534544554564574584594604614624634644654664674684694704714724734744754764774784794804814824834844854864874884894904914924934944954964974984995005015025035045055065075085095105115125135145155165175185195205215225235245255265275285295305315325335345355365375385395405415425435445455465475485495505515525535545555565575585595605615625635645655665675685695705715725735745755765775785795805815825835845855865875885895905915925935945955965975985996006016026036046056066076086096106116126136146156166176186196206216226236246256266276286296306316326336346356366376386396406416426436446456466476486496506516526536546556566576586596606616626636646656666676686696706716726736746756766776786796806816826836846856866876886896906916926936946956966976986997007017027037047057067077087097107117127137147157167177187197207217227237247257267277287297307317327337347357367377387397407417427437447457467477487497507517527537547557567577587597607617627637647657667677687697707717727737747757767777787797807817827837847857867877887897907917927937947957967977987998008018028038048058068078088098108118128138148158168178188198208218228238248258268278288298308318328338348358368378388398408418428438448458468478488498508518528538548558568578588598608618628638648658668678688698708718728738748758768778788798808818828838848858868878888898908918928938948958968978988999009019029039049059069079089099109119129139149159169179189199209219229239249259269279289299309319329339349359369379389399409419429439449459469479489499509519529539549559569579589599609619629639649659669679689699709719729739749759769779789799809819829839849859869879889899909919929939949959969979989991000100110021003100410051006100710081009101010111012101310141015101610171018101910201021102210231024102510261027102810291030103110321033103410351036103710381039104010411042104310441045104610471048104910501051105210531054105510561057105810591060106110621063106410651066106710681069107010711072107310741075107610771078107910801081108210831084108510861087108810891090109110921093109410951096109710981099110011011102110311041105110611071108110911101111111211131114111511161117111811191120112111221123112411251126112711281129113011311132113311341135113611371138113911401141114211431144114511461147114811491150115111521153115411551156115711581159116011611162116311641165116611671168116911701171117211731174117511761177117811791180118111821183118411851186118711881189119011911192119311941195119611971198119912001201120212031204120512061207120812091210121112121213121412151216121712181219122012211222122312241225122612271228122912301231123212331234123512361237123812391240124112421243124412451246124712481249125012511252125312541255125612571258125912601261126212631264126512661267126812691270127112721273127412751276127712781279128012811282128312841285128612871288128912901291129212931294129512961297129812991300130113021303130413051306130713081309131013111312131313141315131613171318131913201321132213231324132513261327132813291330133113321333133413351336133713381339134013411342134313441345134613471348134913501351135213531354135513561357135813591360136113621363136413651366136713681369137013711372137313741375137613771378
  1. @charset "UTF-8";
  2. /*******************
  3. * Theme is based on the Nord theme: https://www.nordtheme.com/docs/colors-and-palettes (archived: https://archive.ph/LVpdB)
  4. *******************/
  5. :root {
  6. /* Set sans-serif & mono fonts */
  7. --sans-font: Inter, Lato,Helvetica,"IBM Plex Sans","Roboto",-apple-system,BlinkMacSystemFont,"Nimbus Sans L",Avenir,"Noto Sans", "Segoe UI",Arial,Helvetica,"Helvetica Neue",sans-serif;
  8. --mono-font: "mononoki Nerd Font","IBM Plex Mono","Roboto Mono","Ubuntu Mono","Fira Code","Overpass Mono", Monaco,"Droid Sans Mono",monospace;
  9. /* given theme colors: */
  10. --nordX-background: #242933;
  11. --nord0-polarnight: #2e3440;
  12. --nord1-polarnight: #3b4252;
  13. --nord2-polarnight: #434c5e;
  14. --nord3-polarnight: #4c566a;
  15. --nord4-snowstorm: #d8dee9;
  16. /* --nord5-snowstorm: #e5e9f0; */
  17. --nord6-snowstorm: #eceff4;
  18. /* --nord7-frost: #8fbcbb; */
  19. --nord8-frost: #88c0d0;
  20. --nord9-frost: #81a1c1;
  21. /* --nord10-frost: #5e81ac; */
  22. --nord11-aurora: #bf616a;
  23. /* --nord12-aurora: #d08770; */
  24. --nord13-aurora: #ebcb8b;
  25. --nord14-aurora: #a3be8c;
  26. --nord15-aurora: #b48ead;
  27. --main-background: var(--nordX-background);
  28. --main-background-transparent: #242933cc;
  29. --accent-bg: var(--nord0-polarnight);
  30. --accent-border: var(--nord0-polarnight);
  31. --light-bg: var(--nord1-polarnight);
  32. --dropdown-bg: var(--nord2-polarnight);
  33. --border-elements: var(--nord3-polarnight);
  34. --text-accent: var(--nord4-snowstorm);
  35. --text-default: var(--nord6-snowstorm);
  36. --highlight: var(--nord8-frost);
  37. --accent: var(--nord9-frost);
  38. --red: var(--nord11-aurora);
  39. --orange: var(--nord13-aurora);
  40. --green: var(--nord14-aurora);
  41. --purple: var(--nord15-aurora);
  42. --frss-background-color-transparent: #2e34407f;
  43. --frss-background-color: var(--main-background);
  44. --frss-box-shadow-color-transparent: #111;
  45. --frss-switch-accent-color: var(--nord14-aurora);
  46. --frss-background-color-middle: var(--highlight);
  47. --frss-background-color-dark: var(--light-bg);
  48. --frss-background-color-error-transparent: #bf616a40;
  49. --frss-border-color: var(--border-elements);
  50. --frss-scrollbar-handle: #0002;
  51. --frss-scrollbar-handle-hover: var(--nord1-polarnight);
  52. --frss-scrollbar-track: transparent;
  53. --frss-scrollbar-track-hover: transparent;
  54. }
  55. /*=== GENERAL */
  56. /*============*/
  57. @font-face {
  58. font-family: 'Lato';
  59. src: local('Lato'),
  60. url('../fonts/LatoLatin-Regular.woff') format('woff'),
  61. url('../fonts/LatoLatin-Bold.woff') format('woff'),
  62. url('../fonts/LatoLatin-Bolditalic.woff') format('woff'),
  63. url('../fonts/LatoLatin-Italic.woff') format('woff');
  64. }
  65. @font-face {
  66. font-family: 'Noto Sans';
  67. src: local('Noto Sans'), local('NotoSans');
  68. }
  69. html, body {
  70. background: var(--main-background);
  71. color: var(--text-default);
  72. font-family: var(--sans-font);
  73. }
  74. /*=== Links */
  75. a {
  76. color: var(--accent);
  77. }
  78. a:hover {
  79. color: var(--highlight);
  80. }
  81. p.help {
  82. color: var(--text-accent);
  83. font-size: 0.9em;
  84. font-style: italic;
  85. padding-right: 0.25rem;
  86. }
  87. p.help img {
  88. height: 1em;
  89. vertical-align: middle;
  90. }
  91. kbd {
  92. color: var(--orange);
  93. border-color: var(--border-elements);
  94. background-color: var(--accent-bg);
  95. }
  96. legend {
  97. margin: 20px 0 5px;
  98. padding: 5px 0;
  99. font-size: 1.4em;
  100. }
  101. label {
  102. min-height: 25px;
  103. padding: 5px 0;
  104. cursor: pointer;
  105. }
  106. input, select, textarea {
  107. padding: 5px;
  108. color: var(--text-default);
  109. border: 1px solid var(--border-elements);
  110. border-radius: 6px;
  111. background-color: transparent;
  112. min-height: 25px;
  113. line-height: 25px;
  114. vertical-align: middle;
  115. }
  116. input:invalid,
  117. select:invalid,
  118. textarea:invalid {
  119. border-color: var(--red);
  120. }
  121. select {
  122. padding-top: 10px;
  123. padding-bottom: 9px;
  124. }
  125. input:hover,
  126. select:hover,
  127. textarea:hover {
  128. border-color: var(--accent);
  129. }
  130. input:focus,
  131. select:focus,
  132. textarea:focus {
  133. background-color: var(--main-background);
  134. border-color: var(--highlight);
  135. outline: none;
  136. }
  137. input:disabled, select:disabled {
  138. border-color: var(--border-elements);
  139. color: var(--text-accent);
  140. }
  141. button.as-link[disabled] {
  142. color: var(--text-accent);
  143. font-style: italic;
  144. }
  145. /*=== Tables */
  146. .config-articleicons td,
  147. .config-articleicons th {
  148. font-weight: normal;
  149. }
  150. table {
  151. border-collapse: collapse;
  152. }
  153. table tr {
  154. border-bottom: 1px solid var(--border-elements);
  155. }
  156. table th, table td {
  157. padding: 10px 20px;
  158. }
  159. .form-group.form-actions {
  160. margin: 2rem 0 5rem 0;
  161. background-color: var(--main-background-transparent);
  162. }
  163. .form-group .group-name {
  164. padding: 10px 0;
  165. }
  166. .form-group .group-controls {
  167. padding: 5px 0;
  168. min-height: 25px;
  169. }
  170. /*=== Buttons */
  171. .btn {
  172. margin: .3rem 0 0.3rem .6rem;
  173. padding: 5px 10px;
  174. background: var(--accent-bg);
  175. color: var(--accent);
  176. font-size: 0.9rem;
  177. border: 1px solid var(--border-elements);
  178. border-radius: 5px;
  179. text-decoration: none;
  180. transition: .2s;
  181. min-height: 25px;
  182. min-width: 15px;
  183. vertical-align: middle;
  184. line-height: 25px;
  185. }
  186. .btn.active {
  187. background-color: var(--main-background);
  188. border: 1px solid var(--accent);
  189. }
  190. div:target ~ .btn {
  191. background-color: var(--highlight);
  192. border: 1px solid var(--highlight);
  193. }
  194. div:target ~ .btn .icon {
  195. filter: brightness(30%);
  196. }
  197. .btn:hover {
  198. color: var(--highlight);
  199. border: 1px solid var(--highlight);
  200. text-decoration: none;
  201. }
  202. a:hover .icon,
  203. .btn:hover .icon {
  204. filter: invert(86%) sepia(8%) saturate(1976%) hue-rotate(159deg) brightness(180%) contrast(100%);
  205. transition: .2s filter;
  206. }
  207. .btn-important, #nav_menu_read_all .read_all, #actualize {
  208. font-weight: bold !important;
  209. background-color: var(--accent) !important;
  210. color: var(--main-background) !important;
  211. }
  212. .btn-important:hover, #nav_menu_read_all .read_all:hover, #actualize:hover {
  213. background-color: var(--highlight) !important;
  214. }
  215. #btn-add.btn-important .icon, #actualize .icon {
  216. filter: brightness(0);
  217. }
  218. .btn-attention {
  219. color: var(--red) !important;
  220. border: 1px solid var(--red) !important;
  221. }
  222. .btn-attention:hover {
  223. background: var(--red);
  224. transition: 0.2s background;
  225. color: var(--main-background) !important;
  226. }
  227. .btn:hover,
  228. svg:hover {
  229. cursor: pointer;
  230. }
  231. .stick input,
  232. .stick select,
  233. .stick .btn {
  234. border-radius: 0;
  235. }
  236. .stick input:first-child,
  237. .stick select:first-child,
  238. .stick .btn:first-child {
  239. border-top-right-radius: 6px;
  240. border-bottom-right-radius: 6px;
  241. border-left-width: 0;
  242. }
  243. .dropdown-menu .stick input {
  244. background-color: var(--light-bg);
  245. border-color: var(--accent-border);
  246. }
  247. .dropdown-menu .stick input:focus {
  248. background-color: var(--accent-bg);
  249. }
  250. .dropdown-menu .stick .btn {
  251. border-color: var(--accent-border);
  252. }
  253. .stick input:hover,
  254. .stick:hover input,
  255. .stick:hover .btn {
  256. border-color: var(--accent) !important
  257. }
  258. .stick .btn:hover,
  259. .stick input:focus,
  260. .stick input:focus ~ .btn {
  261. border-color: var(--highlight) !important
  262. }
  263. .nav_menu .stick input,
  264. .nav_menu .stick .btn {
  265. border-radius: 6px;
  266. border-left-width: 1px;
  267. }
  268. .nav_menu .stick #mark-read-menu .read_all.btn,
  269. .nav_menu .dropdown-menu .stick.search input {
  270. margin-left: 0;
  271. border-top-left-radius: 0;
  272. border-bottom-left-radius: 0;
  273. }
  274. .nav_menu .stick #mark-read-menu .dropdown-toggle.btn,
  275. .nav_menu .dropdown-menu .stick.search .btn {
  276. margin-right: 0;
  277. border-right: 0;
  278. border-top-right-radius: 0;
  279. border-bottom-right-radius: 0;
  280. }
  281. .stick .btn:last-child {
  282. margin-left: 0;
  283. border-top-left-radius: 6px;
  284. border-bottom-left-radius: 6px;
  285. }
  286. .stick .btn {
  287. margin-top: 0;
  288. margin-bottom: 0;
  289. }
  290. .stick.configure-feeds .btn {
  291. margin-left: 0;
  292. }
  293. .header .stick,
  294. .header .btn {
  295. margin: 0
  296. }
  297. /*=== Navigation */
  298. .dropdown-menu {
  299. margin: 5px 0 0;
  300. padding: 0.5rem 0 0.25rem 0;
  301. background: var(--dropdown-bg);
  302. font-size: 0.8rem;
  303. border: none;
  304. border-radius: 6px;
  305. text-align: right;
  306. }
  307. .dropdown-header,
  308. .dropdown-section .dropdown-section-title {
  309. padding: 0.5rem 0.75rem;
  310. font-weight: bold;
  311. text-align: right;
  312. }
  313. .dropdown-menu .item > a,
  314. .dropdown-menu .item > span,
  315. .dropdown-menu .item > .as-link {
  316. padding: 0 22px;
  317. line-height: 2.5em;
  318. font-size: inherit;
  319. min-width: 200px;
  320. }
  321. .dropdown-menu .dropdown-section .item > a,
  322. .dropdown-menu .dropdown-section .item > span,
  323. .dropdown-menu .dropdown-section .item > .as-link {
  324. padding-right: 2rem;
  325. }
  326. .dropdown-menu .dropdown-section .item:last-child {
  327. margin-bottom: 0.5rem;
  328. }
  329. .dropdown-menu .item > a:hover,
  330. .dropdown-menu .item > button:hover:not([disabled]),
  331. .dropdown-menu .item > label:hover:not(.noHover) {
  332. background-color: var(--light-bg);
  333. color: var(--text-default);
  334. transition: .2s;
  335. }
  336. .dropdown-menu > .item[aria-checked="true"] > a::before {
  337. font-weight: bold;
  338. margin: 0 -14px 0 0;
  339. }
  340. .dropdown-menu .input select,
  341. .dropdown-menu .input input {
  342. margin: 0 auto 5px;
  343. padding: 2px 5px;
  344. }
  345. .dropdown-menu > .item:hover > a {
  346. text-decoration: none;
  347. }
  348. .dropdown-close {
  349. backdrop-filter: grayscale(25%) brightness(0.9);
  350. }
  351. .dropdown-close a:hover {
  352. background: none;
  353. }
  354. .dropdown-target:target ~ .dropdown-toggle::after {
  355. background-color: var(--dropdown-bg);
  356. border: none;
  357. left: 13px;
  358. bottom: -14px;
  359. }
  360. .dropdown-menu-scrollable .dropdown-close {
  361. display: none;
  362. }
  363. .item ~ .dropdown-header,
  364. .dropdown-section ~ .dropdown-section,
  365. .item.separator {
  366. border-top-color: var(--accent-border);
  367. }
  368. /*=== Alerts */
  369. .alert {
  370. color: var(--text-accent);
  371. font-size: 0.9em;
  372. border: 1px solid var(--border-elements);
  373. border-radius: 6px;
  374. background-color: var(--light-bg);
  375. }
  376. .alert-success {
  377. border-color: var(--green);
  378. }
  379. .alert-head {
  380. font-size: 1.15em;
  381. }
  382. .alert > a {
  383. text-decoration: underline;
  384. }
  385. .alert-warn {
  386. border-color: var(--orange);
  387. }
  388. .alert-error {
  389. border-color: var(--red);
  390. }
  391. /*=== Icons */
  392. .icon {
  393. filter: invert(74%) sepia(29%) saturate(411%) hue-rotate(171deg) brightness(130%) contrast(85%);
  394. }
  395. img.favicon {
  396. background: var(--text-accent);
  397. border-radius: 4px;
  398. }
  399. /*=== Pagination */
  400. .pagination {
  401. padding: 0.5rem;
  402. background-color: var(--accent-bg);
  403. }
  404. .pagination .item a {
  405. border-radius: 6px;
  406. }
  407. .pagination .item.active a {
  408. color: var(--highlight);
  409. font-weight: bold;
  410. }
  411. .pagination .item a:hover {
  412. background-color: var(--main-background);
  413. color: var(--text-default);
  414. transition: .2s;
  415. }
  416. /*=== Boxes */
  417. .box {
  418. background-color: var(--accent-bg);
  419. border-radius: 10px;
  420. }
  421. .box .box-content {
  422. padding-bottom: 1.5rem;
  423. list-style: none;
  424. }
  425. .box .box-title {
  426. padding-top: 0.75rem;
  427. padding-bottom: 0.5rem;
  428. border-bottom: 1px solid var(--nordX-background);
  429. }
  430. .box .box-title .configure {
  431. padding-left: .25rem;
  432. }
  433. .box .box-title h2 {
  434. color: var(--accent);
  435. font-size: 1rem;
  436. }
  437. .box .box-title .configure:not([data-cat-position=""])::after {
  438. top: .5rem;
  439. }
  440. .box .box-content .item {
  441. padding: 0;
  442. font-size: 0.9rem;
  443. }
  444. /*=== Draggable */
  445. .drag-hover {
  446. margin: 0 0 5px;
  447. }
  448. [draggable=true] {
  449. cursor: grab;
  450. }
  451. /*=== Tree */
  452. .tree {
  453. margin: 10px 0;
  454. }
  455. .tree-folder-title .title {
  456. background: inherit;
  457. }
  458. .tree-folder-title:hover button.dropdown-toggle .icon {
  459. filter: invert(74%) sepia(29%) saturate(411%) hue-rotate(171deg) brightness(130%) contrast(85%);
  460. }
  461. .tree-folder-title button.dropdown-toggle:hover .icon {
  462. filter: invert(86%) sepia(8%) saturate(1976%) hue-rotate(159deg) brightness(180%) contrast(100%);
  463. }
  464. .tree-folder.category {
  465. border-bottom: 1px solid var(--main-background);
  466. }
  467. .tree-folder.category.active .tree-folder-title,
  468. .tree-folder.category .tree-folder-title:hover,
  469. .tree-folder.category:hover .tree-folder-title {
  470. background: var(--light-bg);
  471. }
  472. .tree-folder .tree-folder-title:hover a,
  473. .tree-folder.category.active .tree-folder-title:hover a,
  474. .tree-folder .tree-folder-items .item.feed:hover a {
  475. color: var(--text-default);
  476. }
  477. .tree-folder.category.active .tree-folder-title a {
  478. color: var(--highlight);
  479. }
  480. .tree-folder-items > .item {
  481. color: var(--text-default);
  482. font-size: 0.8rem;
  483. }
  484. .tree-folder-items > .item > a {
  485. text-decoration: none;
  486. }
  487. .tree-folder-title {
  488. position: relative;
  489. padding: 0.25rem 0.75rem;
  490. font-size: 1rem;
  491. }
  492. .tree-folder-title .title:hover {
  493. text-decoration: none;
  494. }
  495. .tree-folder.active .tree-folder-title {
  496. font-weight: bold;
  497. }
  498. /*=== STRUCTURE */
  499. /*===============*/
  500. /*=== Header */
  501. .header > .item {
  502. vertical-align: middle;
  503. text-align: center;
  504. }
  505. .header > .item.title h1 {
  506. margin: 0.5em 0;
  507. }
  508. .header > .item.title h1 a {
  509. text-decoration: none;
  510. }
  511. .header > .item.search input {
  512. width: 350px;
  513. }
  514. .header > .item.title .logo {
  515. filter: grayscale(100%) brightness(2.5);
  516. }
  517. .header > .item.title a:hover .logo {
  518. filter: grayscale(85%) brightness(2.5);
  519. }
  520. /*=== Body */
  521. .aside {
  522. background-color: var(--accent-bg);
  523. border-top-left-radius: 12px;
  524. }
  525. /*=== Aside main page */
  526. .aside.aside_feed {
  527. padding: 10px 0;
  528. text-align: center;
  529. }
  530. .aside.nav-list .nav-section .item.active a {
  531. color: var(--highlight);
  532. font-weight: bold;
  533. }
  534. .aside.nav-list .nav-section .item a:hover {
  535. background-color: var(--main-background);
  536. color: var(--text-default);
  537. transition: .2s;
  538. }
  539. .aside.aside_feed .tree {
  540. margin: 10px 0 50px;
  541. }
  542. .aside_feed .category .title:not([data-unread="0"]) {
  543. width: calc(100% - 35px - 20px);
  544. }
  545. .aside_feed .tree-folder-items.active {
  546. padding-bottom: 1rem;
  547. background-color: var(--main-background);
  548. }
  549. .aside.aside_feed .nav-form input,
  550. .aside.aside_feed .nav-form select {
  551. width: 140px;
  552. }
  553. .aside.aside_feed .nav-form .dropdown .dropdown-menu {
  554. left: -20px;
  555. }
  556. .aside.aside_feed .nav-form .dropdown .dropdown-menu::after {
  557. left: 33px;
  558. }
  559. .aside_feed .tree-folder-title button.dropdown-toggle {
  560. margin: -0.5rem -0.75rem -0.5rem 0;
  561. padding: 0.5rem 0.75rem 0.5rem 0;
  562. }
  563. .aside_feed .tree-folder-items .item .dropdown-target:target ~ .dropdown-toggle > .icon,
  564. .aside_feed .tree-folder-items .item:hover .dropdown-toggle > .icon,
  565. .aside_feed .tree-folder-items .item.active .dropdown-toggle > .icon {
  566. border-radius: 3px;
  567. }
  568. .aside .toggle_aside,
  569. .dropdown-menu .toggle_aside,
  570. #slider .toggle_aside,
  571. .dropdown-header-close a {
  572. background: var(--accent-bg);
  573. border: 1px solid var(--accent-border);
  574. box-sizing: border-box;
  575. transition: 0.2s;
  576. }
  577. .aside .toggle_aside:hover,
  578. #slider .toggle_aside:hover,
  579. .dropdown-menu .toggle_aside:hover {
  580. background-color: var(--main-background) !important;
  581. border-color: var(--highlight) !important;
  582. }
  583. .item.feed.error > .item-title {
  584. color: var(--red);
  585. }
  586. .item.feed.active {
  587. background-color: var(--accent-bg);
  588. }
  589. .item.feed.active a {
  590. color: var(--highlight);
  591. }
  592. .item.feed.active .item-title {
  593. font-weight: bold;
  594. }
  595. li.item.active {
  596. background-color: var(--main-background);
  597. }
  598. .item.feed:hover {
  599. background-color: var(--accent-bg);
  600. transition: .3s;
  601. }
  602. .feed .item-title:not([data-unread="0"]) {
  603. font-weight: normal;
  604. }
  605. /*=== New article notification */
  606. #new-article {
  607. font-size: 0.9em;
  608. text-align: center;
  609. }
  610. #new-article > a {
  611. margin: 1rem auto;
  612. width: 90%;
  613. color: var(--purple);
  614. border: 2px solid var(--purple);
  615. border-radius: 6px;
  616. font-weight: bold;
  617. transition: 0.2s background-color, .2s color;
  618. }
  619. #new-article > a:hover {
  620. background-color: var(--purple);
  621. color: var(--main-background);
  622. text-decoration: none;
  623. }
  624. /*=== Day indication */
  625. .day {
  626. padding: 0 10px;
  627. font-weight: bold;
  628. line-height: 3em;
  629. }
  630. .day .name {
  631. padding: 0 0 0 10px;
  632. font-size: 1.8em;
  633. opacity: 0.3;
  634. font-style: italic;
  635. text-align: left;
  636. }
  637. .name {
  638. display: none;
  639. }
  640. /*=== Feed article header and footer */
  641. .flux_header {
  642. position: relative;
  643. font-size: 0.8rem;
  644. cursor: pointer;
  645. }
  646. .flux_header .title {
  647. font-size: 0.8rem;
  648. }
  649. .flux .website .favicon {
  650. padding: 0.25rem;
  651. }
  652. .flux .content .tags .icon {
  653. padding: 0.25rem;
  654. }
  655. .flux .bottom {
  656. font-size: 0.8rem;
  657. text-align: center;
  658. }
  659. .flux_header:hover {
  660. background-color: var(--accent-bg);
  661. transition: .3s;
  662. }
  663. .flux.current {
  664. background: var(--accent-bg);
  665. }
  666. .flux:not(.current):hover .item .title {
  667. background: var(--accent-bg);
  668. transition: .3s;
  669. }
  670. .flux .flux_header .item .title {
  671. color: var(--text-default);
  672. }
  673. .flux .flux_header .item .title .summary {
  674. color: var(--text-accent);
  675. font-size: 0.8rem;
  676. font-style: italic;
  677. opacity: 0.8;
  678. }
  679. .flux .flux_header .item .title .author {
  680. color: var(--text-accent);
  681. opacity: 0.8;
  682. }
  683. /*=== Feed article content */
  684. .flux_content .content header h1.title {
  685. margin: 1.5rem 0px;
  686. }
  687. .flux_content .content header h1.title a {
  688. color: var(--highlight);
  689. }
  690. .content > footer .subtitle {
  691. border-color: var(--border-elements);
  692. }
  693. .content > header .dropdown-menu .dropdown-header,
  694. .content > footer .dropdown-menu .dropdown-header {
  695. color: var(--text-default);
  696. }
  697. .content hr {
  698. margin: 30px 10px;
  699. height: 1px;
  700. }
  701. .content pre {
  702. border: 1px solid var(--accent);
  703. border-radius: 6px;
  704. }
  705. .content blockquote {
  706. margin: 0;
  707. padding: 5px 20px;
  708. display: block;
  709. }
  710. .content blockquote p {
  711. margin: 0;
  712. }
  713. #load_more.loading {
  714. background-color: var(--accent);
  715. }
  716. #load_more.loading:hover {
  717. background-color: var(--highlight);
  718. }
  719. /*=== Notification and actualize notification */
  720. .notification {
  721. background: var(--dropdown-bg);
  722. color: var(--text-default);
  723. font-size: 0.9rem;
  724. border-radius: 6px;
  725. border-color: var(--border-elements);
  726. z-index: 9999;
  727. font-weight: bold;
  728. box-shadow: 0px 0px 10px var(--frss-box-shadow-color-transparent);
  729. }
  730. .notification.bad {
  731. background-color: var(--red);
  732. color: var(--nord0-polarnight);
  733. }
  734. .notification.bad .icon {
  735. filter: brightness(60%);
  736. }
  737. .notification .close {
  738. padding: 1.25rem;
  739. line-height: 1;
  740. }
  741. .notification .close:hover {
  742. background-color: var(--border-elements);
  743. }
  744. .notification .close:hover .icon {
  745. filter: invert(86%) sepia(8%) saturate(1976%) hue-rotate(159deg) brightness(180%) contrast(100%);
  746. }
  747. /*=== Popup */
  748. #popup-content {
  749. background-color: var(--accent-bg);
  750. }
  751. #popup-txt {
  752. display: none;
  753. height: 100%;
  754. }
  755. /*=== Navigation menu (for articles) */
  756. #nav_entries {
  757. background: var(--accent-bg);
  758. }
  759. #nav_entries .item a:hover {
  760. background-color: var(--main-background);
  761. }
  762. #bigMarkAsRead {
  763. text-decoration: none;
  764. }
  765. #bigMarkAsRead:hover {
  766. background-color: var(--accent-bg);
  767. transition: .3s;
  768. }
  769. #bigMarkAsRead:hover .bigTick {
  770. color: var(--text-default);
  771. }
  772. .bigTick {
  773. color: var(--accent);
  774. font-size: 4em;
  775. }
  776. /*=== Statistiques */
  777. .stat > table td,
  778. .stat > table th {
  779. text-align: center;
  780. }
  781. .stat {
  782. margin: 10px 0 20px;
  783. }
  784. /*=== Slider */
  785. #slider {
  786. background: var(--accent-bg);
  787. }
  788. /*=== DIVERS */
  789. /*===========*/
  790. .category .title.error::before {
  791. color: var(--red);
  792. }
  793. .nav_menu {
  794. padding: 5px 0;
  795. text-align: center;
  796. }
  797. .header .configure .btn.dropdown-toggle,
  798. .nav_menu .btn {
  799. margin: .125rem;
  800. }
  801. .nav_menu .group {
  802. margin-left: 1rem;
  803. margin-right: .125rem;
  804. }
  805. .theme-preview-list,
  806. .theme-preview-list .properties {
  807. border-color: var(--border-elements);
  808. }
  809. .theme-preview-list:hover,
  810. .theme-preview-list:hover .properties {
  811. border-color: var(--highlight);
  812. }
  813. .theme-preview-list .nav label {
  814. color: var(--accent);
  815. }
  816. .theme-preview-list .nav label:hover {
  817. color: var(--highlight)
  818. }
  819. /*=== PRINTER */
  820. /*============*/
  821. @media print {
  822. .header, .aside,
  823. .nav_menu, .day,
  824. .flux_header,
  825. .flux_content .bottom,
  826. .pagination,
  827. #nav_entries {
  828. display: none;
  829. }
  830. html, body {
  831. background: #fff;
  832. color: #000;
  833. font-family: Serif;
  834. }
  835. #global,
  836. .flux_content {
  837. display: block !important;
  838. }
  839. .flux_content .content {
  840. width: 100% !important;
  841. }
  842. }
  843. /*=== PREVIEW */
  844. /*===========*/
  845. .preview_controls {
  846. background-color: var(--light-bg);
  847. border-color: var(--border-elements);
  848. }
  849. .preview_controls label {
  850. display: inline;
  851. }
  852. .preview_controls label input[type="radio"] {
  853. margin-top: -4px;
  854. }
  855. .preview_controls label + label {
  856. margin-right: 1rem;
  857. }
  858. .preview_background {
  859. background-color: transparent;
  860. }
  861. .drag-drop-marker {
  862. border: 2px dashed var(--highlight);
  863. }
  864. /*BEGINS BASE.CSS*/
  865. /*=== GENERAL */
  866. /*============*/
  867. /*=== Links */
  868. a, button.as-link {
  869. outline: none;
  870. }
  871. /*=== Forms */
  872. textarea {
  873. width: 360px;
  874. height: 100px;
  875. }
  876. option,
  877. optgroup {
  878. padding-right: 0.5rem;
  879. }
  880. optgroup::before {
  881. padding-top: 1rem;
  882. padding-bottom: 0.5rem;
  883. color: var(--accent);
  884. font-style: normal;
  885. }
  886. /*=== COMPONENTS */
  887. /*===============*/
  888. /*=== Forms */
  889. .form-group.form-actions .btn {
  890. margin-left: 1rem;
  891. }
  892. /*=== Navigation */
  893. .nav-list {
  894. font-size: 0.9rem;
  895. }
  896. .nav-list .item,
  897. .nav-list .item.nav-header {
  898. min-height: 2.5em;
  899. line-height: 2.5;
  900. }
  901. .nav-list .item > a {
  902. padding: 0 1rem;
  903. }
  904. .nav-list a:hover {
  905. text-decoration: none;
  906. }
  907. .nav-list .nav-header {
  908. padding: 0 1rem;
  909. font-weight: bold;
  910. }
  911. .nav-list .nav-form {
  912. padding: 3px;
  913. text-align: center;
  914. }
  915. /*=== Dropdown */
  916. .dropdown-menu::after {
  917. top: -5px;
  918. border: none;
  919. }
  920. .dropdown-menu > .item > a,
  921. .dropdown-menu > .item > span,
  922. .dropdown-menu > .item > .as-link,
  923. .dropdown-menu > .item > ul > .item > a,
  924. .dropdown-menu > .item > ul > .item > span,
  925. .dropdown-menu > .item > ul > .item > .as-link {
  926. color: var(--text-accent) !important;
  927. }
  928. /*=== STRUCTURE */
  929. /*===============*/
  930. /*=== Header */
  931. /*=== Body */
  932. /*=== Aside main page (categories) */
  933. .aside_feed .tree-folder-title > .title:not([data-unread="0"])::after {
  934. margin: 10px 0;
  935. padding: 0 0.5rem;
  936. font-size: 0.9rem;
  937. }
  938. .aside .category .title:not([data-unread="0"])::after,
  939. .aside .feed .item-title:not([data-unread="0"])::after {
  940. margin: calc(var(--frss-padding-top-bottom)) 0 0 0;
  941. text-align: left;
  942. left: 0.25rem;
  943. }
  944. .aside .feed.active .item-title:not([data-unread="0"])::after {
  945. color: var(--main-background);
  946. border: none;
  947. background-color: var(--highlight);
  948. }
  949. .aside .feed.active:hover .item-title:not([data-unread="0"])::after {
  950. background-color: var(--text-default);
  951. }
  952. /*=== Aside main page (feeds) */
  953. .aside_feed .tree-folder-items .dropdown-menu::after {
  954. right: 2px;
  955. }
  956. /*=== Prompt (centered) */
  957. .prompt input {
  958. margin: 5px auto;
  959. width: 100%;
  960. }
  961. /*=== Navigation menu (for articles) */
  962. #stream-footer {
  963. border-top: 0;
  964. }
  965. /*=== READER VIEW */
  966. /*================*/
  967. #stream.reader .flux {
  968. background-color: var(--main-background);
  969. border: none;
  970. }
  971. #stream.reader .flux .flux_content {
  972. background-color: var(--accent-bg);
  973. border: none;
  974. border-radius: 12px;
  975. }
  976. /*=== GLOBAL VIEW */
  977. /*================*/
  978. .box.category .box-title .title {
  979. font-weight: normal;
  980. text-decoration: none;
  981. text-align: right;
  982. }
  983. .box.category .title:not([data-unread="0"])::after {
  984. background: none;
  985. border: 0;
  986. position: absolute;
  987. top: 5px; left: 10px;
  988. font-weight: bold;
  989. box-shadow: none;
  990. text-shadow: none;
  991. }
  992. #panel {
  993. background-color: var(--main-background);
  994. }
  995. /*=== MOBILE */
  996. /*===========*/
  997. @media (max-width: 840px) {
  998. .aside:target + .close-aside,
  999. .configure .dropdown-target:target ~ .dropdown-close {
  1000. backdrop-filter: grayscale(60%) blur(1px);
  1001. }
  1002. .aside {
  1003. right: 0;
  1004. transition: width 200ms linear;
  1005. }
  1006. .aside.aside_feed {
  1007. padding: 0;
  1008. }
  1009. .nav.aside {
  1010. max-width: 300px;
  1011. border-radius: 0;
  1012. }
  1013. .configure .dropdown .dropdown-menu {
  1014. max-width: 300px;
  1015. }
  1016. .flux .website .favicon {
  1017. position: relative;
  1018. }
  1019. #overlay {
  1020. background-color: var(--accent-bg);
  1021. }
  1022. #slider.active {
  1023. background-color: var(--main-background);
  1024. }
  1025. #close-slider img {
  1026. display: initial;
  1027. }
  1028. #close-slider.active {
  1029. background: var(--main-background);
  1030. display: block;
  1031. width: 100%;
  1032. height: 50px;
  1033. z-index: 10;
  1034. text-align: center;
  1035. line-height: 50px;
  1036. border-bottom: 1px solid #ddd;
  1037. }
  1038. .stat.half {
  1039. grid-column: 1 / span 2;
  1040. }
  1041. .nav_menu .btn {
  1042. margin-bottom: .5rem;
  1043. }
  1044. .nav_menu .search input {
  1045. max-width: 97%;
  1046. width: 90px;
  1047. }
  1048. .nav_menu .search input:focus {
  1049. width: 400px;
  1050. }
  1051. .dropdown .dropdown-menu .item .stick.search {
  1052. width: 100%;
  1053. }
  1054. .post {
  1055. padding: 1rem;
  1056. }
  1057. .day .name {
  1058. font-size: 1.1rem;
  1059. }
  1060. .pagination {
  1061. margin: 0 0 3.5em;
  1062. }
  1063. .notification {
  1064. top: 1%;
  1065. right: 2%;
  1066. left: 2%;
  1067. }
  1068. .notification .close {
  1069. display: block;
  1070. right: 0;
  1071. }
  1072. .notification .close:hover {
  1073. opacity: 0.5;
  1074. }
  1075. .notification .close .icon {
  1076. display: none;
  1077. }
  1078. .alert {
  1079. width: 85%;
  1080. }
  1081. .dropdown-menu {
  1082. margin: 0;
  1083. }
  1084. .dropdown .dropdown-menu {
  1085. border-radius: 6px;
  1086. }
  1087. #overlay .close {
  1088. background: var(--accent-bg);
  1089. border: 1px solid var(--accent-border);
  1090. box-sizing: border-box;
  1091. transition: 0.2s;
  1092. }
  1093. #overlay .close:hover {
  1094. background-color: var(--main-background) !important;
  1095. border-color: var(--highlight) !important;
  1096. }
  1097. .header .configure .dropdown .dropdown-menu {
  1098. border-radius: 0;
  1099. }
  1100. .form-group .group-name {
  1101. font-weight: bold;
  1102. padding: 0 0 0.25rem 0;
  1103. }
  1104. .form-group .group-name::after {
  1105. content: ':';
  1106. }
  1107. .form-group {
  1108. margin-top: 2rem;
  1109. margin-bottom: 2rem;
  1110. }
  1111. }